<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_grey"
    android:orientation="vertical">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appBarLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.google.android.material.appbar.MaterialToolbar
            android:id="@+id/my_toolbar"
            style="@style/Widget.MaterialComponents.Toolbar.Primary"
            android:layout_width="match_parent"
            android:layout_height="?attr/actionBarSize"
            app:navigationIcon="@drawable/abc_vector_test"
            app:title="@string/app_name" />

    </com.google.android.material.appbar.AppBarLayout>

    <FrameLayout
        android:id="@+id/settings"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <Button
            android:id="@+id/button_submit"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom"
            android:layout_marginStart="@dimen/margin16"
            android:layout_marginTop="@dimen/margin16"
            android:layout_marginEnd="@dimen/margin16"
            android:layout_marginBottom="@dimen/margin16"
            android:background="@drawable/outlined_button_filled"
            android:text="@string/submit" />

        <ScrollView
            android:id="@+id/settings_scroll_view"
            android:layout_width="match_parent"
            android:layout_height="638dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="500dp"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/settings_change_username"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="16dp"
                    android:text="Change Username"
                    android:textAppearance="@style/text_style" />

                <View
                    android:id="@+id/divider"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_marginTop="8dp"
                    android:background="@color/colorAccent" />

                <EditText
                    android:id="@+id/input_username_layout"
                    style="@style/input_field"
                    android:layout_width="match_parent"
                    android:layout_height="42dp"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="@dimen/margin16"
                    android:layout_marginEnd="16dp"
                    android:layout_marginBottom="@dimen/margin16"
                    android:background="@drawable/outlined_button"
                    android:ems="10"
                    android:hint="@string/username"
                    android:inputType="textPersonName"
                    android:textAlignment="center"
                    android:textColor="@color/logo_white" />

                <TextView
                    android:id="@+id/setting_change_pasword"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/margin16"
                    android:layout_marginTop="@dimen/margin16"
                    android:layout_marginBottom="8dp"
                    android:text="Change Username"
                    android:textAppearance="@style/text_style" />

                <View
                    android:id="@+id/divider3"
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:background="@color/colorAccent"
                    app:layout_constraintHorizontal_bias="1.0" />

                <EditText
                    android:id="@+id/setting_input_password"
                    style="@style/input_field"
                    android:layout_width="match_parent"
                    android:layout_height="42dp"
                    android:layout_marginStart="@dimen/margin16"
                    android:layout_marginTop="@dimen/margin16"
                    android:layout_marginEnd="@dimen/margin16"
                    android:layout_marginBottom="@dimen/margin16"
                    android:background="@drawable/outlined_button"
                    android:ems="10"
                    android:hint="@string/password"
                    android:inputType="textPersonName"
                    android:textAlignment="center"
                    android:textColor="@color/logo_white" />

                <EditText
                    android:id="@+id/setting_input_password2"
                    style="@style/input_field"
                    android:layout_width="match_parent"
                    android:layout_height="42dp"
                    android:layout_marginStart="@dimen/margin16"
                    android:layout_marginTop="@dimen/margin16"
                    android:layout_marginEnd="@dimen/margin16"
                    android:layout_marginBottom="@dimen/margin16"
                    android:background="@drawable/outlined_button"
                    android:ems="10"
                    android:hint="@string/confirm_password"
                    android:inputType="textPersonName"
                    android:textAlignment="center"
                    android:textColor="@color/logo_white" />

            </LinearLayout>
        </ScrollView>

    </FrameLayout>
</LinearLayout>